Skip to main content
DELETE
/
1
/
marker_settings
/
{datasetSlug}
/
{markerSettingId}
Delete a Marker Setting
curl --request DELETE \
  --url https://api.honeycomb.io/1/marker_settings/{datasetSlug}/{markerSettingId} \
  --header 'X-Honeycomb-Team: <api-key>'
{
  "type": "deploy",
  "color": "#7b1fa2",
  "id": "gwAHiE5TS4j",
  "created_at": "2022-09-15T05:39:42Z",
  "updated_at": "2022-12-15T04:25:14Z"
}

Authorizations

X-Honeycomb-Team
string
header
required

A Honeycomb Configuration Key is required to use this API. A Configuration Key can be found in the API Keys section of the environment configuration, which can be found under Environment Settings -> API Keys -> Configuration tab. Check out our documentation to find your API Keys.

More information can be found in Manage Environments.

Path Parameters

datasetSlug
string
required

The dataset slug or use __all__ for endpoints that support environment-wide operations.

markerSettingId
string
required

The unique identifier (ID) of a marker setting.

Response

Success

type
string
required

Groups similar Markers. For example, 'deploys'. All Markers of the same type appears with the same color on the graph.

Example:

"deploy"

color
string
required

Color to use for display of this marker type. Specified as hexadecimal RGB. For example, "#F96E11".

Example:

"#7b1fa2"

id
string

The unique identifier (ID) for the Marker Setting.

Example:

"gwAHiE5TS4j"

created_at
string

The ISO8601-formatted time when the Marker Setting was created.

Example:

"2022-09-15T05:39:42Z"

updated_at
null | string

The ISO8601-formatted time when the Marker Setting was updated.

Example:

"2022-12-15T04:25:14Z"